[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-commits
Subject:    [gentoo-commits] repo/gentoo:master commit in: x11-misc/mozo/
From:       "Adam Feldman" <np-hardass () gentoo ! org>
Date:       2021-06-30 22:43:11
Message-ID: 1625092910.289a0c457ab94542158a6ba8d4e851d452382bc7.np-hardass () gentoo
[Download RAW message or body]

commit:     289a0c457ab94542158a6ba8d4e851d452382bc7
Author:     Adam Feldman <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 10 15:19:47 2021 +0000
Commit:     Adam Feldman <np-hardass <AT> gentoo <DOT> org>
CommitDate: Wed Jun 30 22:41:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=289a0c45

x11-misc/mozo: Bump to 1.24.1

Bug: https://bugs.gentoo.org/778857
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Adam Feldman <NP-Hardass <AT> gentoo.org>

 x11-misc/mozo/Manifest           |  1 +
 x11-misc/mozo/mozo-1.24.1.ebuild | 69 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/x11-misc/mozo/Manifest b/x11-misc/mozo/Manifest
index 1b5b1313c5a..7f3c70c9ea4 100644
--- a/x11-misc/mozo/Manifest
+++ b/x11-misc/mozo/Manifest
@@ -1 +1,2 @@
 DIST mozo-1.24.0.tar.xz 228180 BLAKE2B \
6eb880b82dcb608f84efd8df74e77812f9da68dfa877ec896c6f04fa18088e8e4a82641c715e3620201dbb8a1bea8bb4ded09dd72f50770edae09c1326cbf453 \
SHA512 e0d217d2e7bb7d2c8df777e51bfb20e8bf4fa1bee0f9f3a9348ec1c8501b386a4afbd8848735ecfa61a0f9576382d784d3ef5b884a2a34af6ba33d3a126fe193
 +DIST mozo-1.24.1.tar.xz 231032 BLAKE2B \
27938aca9810943d19074cc5761ac58bb1dc2c1918b2fefea983f7a1b8788cb555311555515bb4387944c7b48a309de4a80da9003d212ca68ea257fa9ab06c8d \
SHA512 04b7e93e7302b46a3959f78655de4a6f8b17896be2c506c0e8a9041a9a2d5247e8c2ac00b5c8f86616f6c39a533584923feacfe4b81ae58d41080632af2a24bd


diff --git a/x11-misc/mozo/mozo-1.24.1.ebuild b/x11-misc/mozo/mozo-1.24.1.ebuild
new file mode 100644
index 00000000000..2b73ccc2649
--- /dev/null
+++ b/x11-misc/mozo/mozo-1.24.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+PYTHON_REQ_USE="xml"
+
+inherit mate python-r1
+
+if [[ ${PV} != 9999 ]]; then
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Mozo menu editor for MATE"
+LICENSE="GPL-2+ GPL-3+ LGPL-2+ LGPL-2.1+"
+SLOT="0"
+IUSE=""
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+COMMON_DEPEND="${PYTHON_DEPS}
+	>=dev-python/pygobject-3:3[${PYTHON_USEDEP}]
+	>=mate-base/mate-menus-1.21.0[introspection]
+	x11-libs/gdk-pixbuf:2[introspection]
+	>=x11-libs/gtk+-3.22:3[introspection]
+	!!x11-misc/mate-menu-editor
+"
+
+RDEPEND="${COMMON_DEPEND}
+	virtual/libintl
+"
+
+DEPEND="${COMMON_DEPEND}
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	mate_src_prepare
+	python_copy_sources
+}
+
+src_configure() {
+	python_foreach_impl run_in_build_dir mate_src_configure \
+		--disable-icon-update
+}
+
+src_compile() {
+	python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+	python_foreach_impl run_in_build_dir emake check
+}
+
+src_install() {
+	installing() {
+		mate_src_install
+
+		# Massage shebang to make python_doscript happy
+		sed -e 's:#! '"${PYTHON}:#!/usr/bin/python:" \
+			-i mozo || die
+
+		python_doscript mozo
+		python_optimize
+	}
+
+	python_foreach_impl run_in_build_dir installing
+}


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic